Package org.apache.tools.ant.types.selectors

# Class SizeSelector.SizeComparisons

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.Comparison
org.apache.tools.ant.types.selectors.SizeSelector.SizeComparisons

Enclosing class:
  `SizeSelector`

public static class SizeSelector.SizeComparisons extends Comparison
Enumerated attribute with the values for size comparison.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.Comparison

  `EQUAL, GREATER, GREATER_EQUAL, LESS, LESS_EQUAL, NOT_EQUAL`

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SizeComparisons()`

- ## Method Summary

  ### Methods inherited from class org.apache.tools.ant.types.Comparison

  `evaluate, getValues`

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SizeComparisons

    public SizeComparisons()